Subject: Re: bug#8968: arc-mode 7z writing support

From: Eli Zaretskii <[email-masked]>
Date: Fri, 08 Jul 2011 10:08:57 +0300

> From: Juri Linkov <[email-masked]>
> Date: Fri, 08 Jul 2011 03:09:51 +0300
> 
> As reported in http://thread.gmane.org/gmane.emacs.devel/136578/focus=136670
> on cygwin the program name is "p7zip".  But I can't confirm this fact,
> so I'm closing this feature request at its current state with the
> program name "7z".

In fact, I think any GNU/Linux system that cares about avoiding
non-free software will have only p7zip, not 7z.  That's because
current releases of 7z are not Free Software, whereas p7zip uses the
free-software subset of the 7z algorithms.

So by supporting only 7z, let alone making that the default, Emacs is
in fact preferring a non-free software program to a free one.  We have
the same situation with zip/unzip vs pkzip/pkunzip, and in that case
we do it the other way around: the default is the free software
variant, with the non-free one available as an option.